Bug 165137 - kommander editor crashes when editing a combobox
kommander editor crashes when editing a combobox
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdewebdev (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-04 12:18 EDT by David Mentis
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: kdewebdev-3.5.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 18:13:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mentis 2005-08-04 12:18:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
kommander editor will crash when trying to edit a combobox.



Version-Release number of selected component (if applicable):
kdewebdev-3.4.2-0.fc4.1

How reproducible:
Always

Steps to Reproduce:
1. Start Kommander Editor (/usr/bin/kmdr-editor).

2. Create a new dialog (File->New; Dialog))

3. Add a ComboBox to the form.

4. Right click on the ComboBox and select "Edit".

5. Kommander will then crash.
  

Additional info:
Comment 1 Stan Gammons 2005-11-03 17:39:40 EST
I have a very similar problem with Kommander Editor crashing. It crashes for me
when I try to edit a ListBox that already exist in a .kmdr file.
DVDAuthorWizard.kmdr in this case.  Here is the output from when it crashes.
Hope that will help fix the bug. BTW, the author of this tells me it doesn't
happen in other distros.

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
`shared object read from target memory' has disappeared; keeping its
symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208162624 (LWP 8491)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#3  0x02dd1ca4 in QListBox::firstItem ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#4  0x080b325f in QPtrDict<QWidget>::~QPtrDict ()
#5  0x08131d87 in QDict<int>::~QDict$delete ()
#6  0x080bf720 in QPtrDict<QWidget>::~QPtrDict ()
#7  0x080c26ca in QPtrDict<QWidget>::~QPtrDict ()
#8  0x02c8f09e in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#9  0x02c9003f in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#10 0x04d73851 in KApplication::notify () from /usr/lib/libkdecore.so.4
#11 0x02c26746 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#12 0x02c24f01 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#13 0x02c39008 in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0x02ca782b in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0x02ca7736 in QEventLoop::exec ()
from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0x02c8eaa9 in QApplication::exec ()
from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0x080b73c2 in QPtrDict<QWidget>::~QPtrDict ()
#18 0x002a1d4d in __libc_start_main () from /lib/libc.so.6
#19 0x08076971 in ?? ()
Comment 2 Christian Iseli 2007-01-22 06:36:38 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Rex Dieter 2007-11-17 18:13:53 EST
no feedback, closing.

Note You need to log in before you can comment on or make changes to this bug.